import { SharedMergingProcessLocalRepository } from '../../domain/repositories/shared-merging-process-local-repository';
import { SharedPlanMergeProcess } from '../../domain/models/shared-plan-merge-process';
export declare class AppSharedMergingProcessLocalRepository implements SharedMergingProcessLocalRepository {
    private readonly storage;
    findById(id: string): Promise<SharedPlanMergeProcess | null>;
    findByPlanId(planId: string): Promise<SharedPlanMergeProcess | null>;
    save(process: SharedPlanMergeProcess): Promise<void>;
    delete(id: string): Promise<void>;
}
